Social Fetch
Reddit

List Reddit subreddit posts

Get posts from a specific subreddit.

GET/v1/reddit/subreddits/{subreddit}/posts
1credit
x-api-key*stringheader

API key (`sfk_...`)

Parameters
4
subreddit*stringpath

Subreddit name, optional `r/` prefix, or Reddit subreddit URL. Must match Reddit's exact casing. Lists posts for this subreddit.

min 1 chars · max 256 chars

sortstringoptionalquery

Optional sort order for the returned posts.

one of: best, hot, new, top, rising

timeframestringoptionalquery

Optional timeframe used with time-based sort orders.

one of: all, day, week, month, year

cursorstringoptionalquery

Opaque pagination cursor from a previous response (`data.page.nextCursor`).

min 1 chars

Response fields
35

Endpoint-specific response payload.

datalookupStatus
string

Whether the subreddit resolved for this request.

one of: found, not_found

Posts returned for the requested subreddit. This array may be empty when the subreddit resolves but no posts are returned.

dataposts[]id
string

Stable identifier for the post.

min 1 chars

dataposts[]fullId
stringnullable

Full post identifier when available.

dataposts[]subreddit
stringnullable

Subreddit name for this post when available.

dataposts[]title
string

Post title.

min 1 chars

dataposts[]text
stringnullable

Text body of the post when available.

Post author.

dataposts[]authorusername
stringnullable

Post author username when available.

dataposts[]authorid
stringnullable

Stable author identifier when available.

dataposts[]url
stringnullable

Canonical public URL for this post when available.

dataposts[]permalinkUrl
stringnullable

Permalink URL for this post when available.

dataposts[]publishedAt
stringnullable

ISO-8601 timestamp for when the post was published.

Post metrics.

dataposts[]metricsscore
integernullable

Post score when available.

≥ 0

dataposts[]metricsupvotes
integernullable

Upvote count when available.

≥ 0

dataposts[]metricsupvoteRatio
numbernullable

Upvote ratio when available.

≥ 0

dataposts[]metricscommentCount
integernullable

Comment count when available.

≥ 0

dataposts[]metricscrosspostCount
integernullable

Crosspost count when available.

≥ 0

dataposts[]metricssubredditSubscribers
integernullable

Subreddit subscriber count when available.

≥ 0

Post content flags.

dataposts[]flagsisVideo
boolean

Whether the post is a video.

dataposts[]flagsisPinned
boolean

Whether the post is pinned.

dataposts[]flagsisLocked
boolean

Whether the post is locked.

dataposts[]flagsisSpoiler
boolean

Whether the post is marked as a spoiler.

dataposts[]flagsisOver18
boolean

Whether the post is marked as adult content.

dataposts[]flagsisOriginalContent
boolean

Whether the post is marked as original content.

Pagination information for the current response.

datapagenextCursor
stringnullable

Cursor to pass as `cursor` in the next request when `hasMore` is true; otherwise null.

datapagehasMore
boolean

Whether another page of posts can be requested.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/reddit/subreddits/AskReddit/posts?sort=best" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Subreddit posts for the requested feed. Check `data.lookupStatus` for `found` vs `not_found`.

On this page

No Headings